{ pkgs
, lib
, config
, ... }: with lib; mkIf config.passthrough.gui {
  # cursor theme
  home.pointerCursor = {
    package = mkDefault pkgs.bibata-cursors;
    name = mkDefault "Bibata-Modern-Classic";
    size = 24;
  };

  # gtk theme
  gtk.theme = {
    package = mkDefault pkgs.whitesur-gtk-theme;
    name = mkDefault "WhiteSur-Dark";
  };

  # gtk icons
  gtk.iconTheme = {
    package = mkDefault pkgs.papirus-icon-theme;
    name = mkDefault "Papirus-Dark";
  };

  # unify qt theme
  qt.platformTheme = mkIf (!config.passthrough.plasma.enable) "gtk";

  gtk.enable = mkDefault true;
  qt.enable = mkDefault (!config.passthrough.plasma.enable);
}
